等保门户网: 测评整改

【漏洞预警】CNNVD 关于Apache Solr远程代码执行漏洞情况的通报

来源:admin 发布日期:2019-08-09

近日,国家信息安全漏洞库(CNNVD)收到关于Apache Solr远程代码执行漏洞(CNNVD-201908-031CVE-2019-0193)情况的报送。成功利用漏洞的攻击者,可在目标服务器上远程执行恶意代码。Apache Solr 8.2.0之前版本均受漏洞影响。目前,Apache官方已发布升级补丁修复了该漏洞,建议用户及时确认是否受到漏洞影响,尽快采取修补措施。

一、漏洞介绍

Apache Solr是美国阿帕奇(Apache)软件基金会的一款基于Lucene(一款全文搜索引擎)的搜索服务器,它对外提供类似于Web-serviceAPI接口,被很多企业广泛使用。漏洞源于Apache Solr DataImportHandler模块的DIH管理界面在开启调试模式时,DIH 配置可以接收来自请求的dataConfig参数,通过该参数可以包含恶意脚本导致代码执行。

二、危害影响

目前,漏洞细节和利用代码暂未公开,但攻击者可以通过补丁对比方式分析出漏洞触发点,并进一步开发漏洞利用代码。成功利用漏洞的攻击者,可在目标服务器上远程执行恶意代码。Apache Solr 8.2.0之前版本均受漏洞影响。

三、修复建议

目前,Apache官方已发布升级补丁修复了该漏洞,建议用户及时确认是否受到漏洞影响,尽快采取修补措施。官方补丁链接如下:

http://lucene.apache.org/solr/downloads.html

来源:国家信息安全漏洞库

【关闭】 【打印】

您是第 47410781 位访问者
沪ICP备 12039260号 京公网安备 11010802025578号